# 82. クエリ: サブスクリプションイベントを復元

配信された購読イベントと生成された購読イベントを復元／再確認できるようにしておくことは常に良い実践です。したがって、GeoPard はすべての生成された購読イベントの履歴を保存します（対象： **過去12か月間**.&#x20;

一般的なケース：&#x20;

* インターネット接続が不安定でイベントが配信されなかった
* WebSocketリスナーの再デプロイ
* 受信イベントと生成イベントの整合性を確認する

{% code overflow="wrap" lineNumbers="true" %}

```graphql
  getPlatformEvents(input: {
    dateFrom: "2023-05-25T12:49:00.000Z", 
    dateTo: "2023-05-30T06:35:00.000Z", 
    userUuids: ["<placeholder_of_user_uuid>"]
  }){
    events {
      executionDate
      event {
        uuid
        userUuid
        action（操作）
        nodePath {
          entity（エンティティ）
          uuid
        }
      }
    } 
  }
}
```

{% endcode %}

サポートされる入力フィルター：

* `dateFrom` ISO 8601形式の日時として（例： `"2023-05-25T12:49:00.000Z"`)
* `dateTo` ISO 8601形式の日時として（例： `"2023-05-30T06:35:00.000Z"`)
* `farmUuids` 検索する「農場（Farm）」の UUID の配列として
* `fieldUuids` 検索する「圃場（Field）」の UUID の配列として&#x20;
* `userUuids` 検索する「User」UUIDの配列として
* `eventUuids` 購読「Event」の UUID の配列として

{% hint style="info" %}
すべてのフィルターは論理的に次のように動作します **AND（かつ）**.
{% endhint %}

{% hint style="info" %}
すべての購読イベントには属性があります `executionDate` 送信時刻に紐づく属性で、ISO 8601 の DateTime に互換性のある AWSDateTime 形式です。
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/jpn/apidokyumento/geopard-apirikuesuto/82-kueri-sabusukuripushonibentowo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
